Bug 110162 - rhn-applet and up2date disagree on whether the system is up to date
rhn-applet and up2date disagree on whether the system is up to date
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-15 12:07 EST by J. J. Ramsey
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 15:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn-applet showing yum as needing an update (34.58 KB, image/png)
2004-01-23 04:34 EST, diego.santacruz
no flags Details
up2date not showing yum for update (50.95 KB, image/png)
2004-01-23 04:34 EST, diego.santacruz
no flags Details

  None (edit)
Description J. J. Ramsey 2003-11-15 12:07:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I have the following lines in my /etc/sysconfig/rhn/sources (lines may
appear wrapped)

yum fedora-core-1
http://download.fedora.redhat.com/pub/fedora/linux/core/1/i386/os/
yum updates-released
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/1/i386/

# DAG repository
yum dag-rpms-fc1 http://apt.sw.be/redhat/fc1/en/i386/dag/

# Freshrpms
yum freshrpms-fc1 http://ayo.freshrpms.net/fedora/linux/1/i386/freshrpms/

Now apparently Freshrpms has its own yum RPM (sigh). Its version is
2.0.4-2.fd.fr, while the stock yum from Fedora Core just has version
2.0.4-2. Now according to up2date, the system is fully updated;
however rhn-applet has decided that the version of yum from Freshrpms
is "greater" than that of Fedora Core itself. I can't say I really
care which "version" I have (though I imagine it's probably better to
stick with the yum from Fedora Core, but up2date and rhn-applet ought
to at least *agree* with each other.


Version-Release number of selected component (if applicable):
rhn-applet-2.1.2-1

How reproducible:
Always

Steps to Reproduce:
=

Additional info:
Comment 1 diego.santacruz 2004-01-23 04:32:35 EST
Same problem over here, using rhn-applet-2.1.7-1.

up2date and yum consider that the yum rpm is up to date.
rhn-applet however thinks that yum-2.0.402.fd.fr (from freshrpms) is
more recent than yum-2.0.4-2 and shows it as an available update.

up2date and rhn-applet should use the same algorithm to decide which
package is more recent and that is apparently not the case.
Comment 2 diego.santacruz 2004-01-23 04:34:05 EST
Created attachment 97206 [details]
rhn-applet showing yum as needing an update
Comment 3 diego.santacruz 2004-01-23 04:34:44 EST
Created attachment 97207 [details]
up2date not showing yum for update
Comment 4 Daniel Veillard 2004-01-23 05:18:29 EST
The disagreement about the yum update has been analyzed, it
comes from the fact that Fedora yum is a noarch package, while
freshrpms build it as an i386 package.
The applet consider it's okay to upgrade it, while up2date
doesn't. It's unclear what the correct behaviour should be in
the general case.
Adrian Likins knows about it, it's an open issue at the moment.
Suggesting the freshrpms people to actually build yum as a
noarch package would at least solve this specific problem.

Daniel
Comment 5 William M. Quarles 2004-06-05 02:20:30 EDT
I have ClamAV 0.71 installed on my computer.  I added ClamAV to my rhn
sources file.  The lines are this:

yum crash-hat http://crash.fce.vutbr.cz/crash-hat/1
#yum crash-test http://crash.fce.vutbr.cz/crash-hat/testing/1

RHN applet thinks that there is a new version out of ClamAV.  However,
neither yum nor up2date detect the new release.  I checked the
repository, and it is in there.  Something is amiss...
Comment 6 David Masterson 2004-08-09 23:18:33 EDT
Not sure if this is the same, but it sounds similar...

In my case, rhn-applet is reporting 5 updates as needed whereas
up2date and yum say that my system is up-to-date.  The interesting
part is that the "5" updates show up in the rhn-applet window as only
one package -- "kernel-doc" with 5 available versions of the package
(the most recent being a 2.6.7 version).  The rhn-applet reports this
no matter who I am logged in as.

Is there a "cache" for the rhn-applet somewhere that needs to be
cleaned up and, if so, where is it?
Comment 7 Matthew Miller 2006-07-11 13:43:28 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.


Note You need to log in before you can comment on or make changes to this bug.